This bugzilla service is closed. All entries have been migrated to https://gitlab.com/libeigen/eigen

Bug 751

Summary: Make AMD Ordering numerically more robust
Product: Eigen Reporter: Gael Guennebaud <gael.guennebaud>
Component: SparseAssignee: Nobody <eigen.nobody>
Status: RESOLVED FIXED    
Severity: Unknown CC: gael.guennebaud
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: All   
Whiteboard:
Bug Depends on:    
Bug Blocks: 814    

Description Gael Guennebaud 2014-02-26 11:20:24 UTC
See this thread: http://forum.kde.org/viewtopic.php?f=74&t=106962

AMD introduces zeros at the beginning of the diagonal which is pretty bad. Ideally, SimplicialLDLT could even do numerical pivoting, either dynamically (difficult) or statically.
Comment 1 Gael Guennebaud 2015-06-08 08:38:15 UTC
This changeset https://bitbucket.org/eigen/eigen/commits/ce076b6d66ce "push and keep structural empty diagonal elements to the bottom-right part of the matrix", meaning that SimplicialLDLT succeed at solving LS problems with linearly independent equality constraints enforced using the Lagrange multipliers method. This should be enough for 3.3.
Comment 2 Gael Guennebaud 2015-06-08 08:48:05 UTC
I've backported it to 3.2: https://bitbucket.org/eigen/eigen/commits/e4cb52c98ae8/
Comment 3 Nobody 2019-12-04 13:02:26 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to gitlab.com's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.com/libeigen/eigen/issues/751.